%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           librra
Version:        0.9.2
Release:        3%{?dist}
Summary:        Connection to Pocket PC devices, part of SynCE

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/synce-rra-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel, librapi-devel, libmimedir-devel
BuildRequires:  libtool, Pyrex
# Temporary, to help yum with the split
BuildRequires:  librapi, libsynce

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
RRA is part of the SynCE project: http://www.synce.org

%package devel
Summary: Development libraries and header files for SynCE
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
# All header files include synce.h
Requires: libsynce-devel

%description devel
This package contains the header files and link libraries for librra

%package -n python-rra
Summary: Python bindings to librra (part of SynCE)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-rra
This package contains the python bindings to librra, a componenent
of the SynCE PocketPC connection framework.
The python module to import is named "pyrra"


%prep
%setup -q -n synce-rra-%{version}

%build
%configure --disable-static --disable-rpath
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{python_sitearch}/pyrra.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README TODO LICENSE ChangeLog
%{_bindir}/synce-matchmaker
%{_libdir}/librra.so.0*
%{_mandir}/man1/synce-matchmaker.*

%files devel
%defattr(-,root,root,-)
%doc lib/README
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/rra

%files -n python-rra
%{python_sitearch}/pyrra.so


%changelog
* Tue May 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.2-3
- next try at BRs

* Tue May 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.2-2
- add an explicit BuildRequires to help yum manage the split
- the devel package now has a pkgconfig file, Require it

* Tue May 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.2-1
- version 0.9.2
- drop patch0 (it uses libsynce's cflags)
- new python bindings

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-1
- split off the synce package
